Advertisement:

Author Topic: Critical Error with Installation of 2.0.12  (Read 5975 times)

Offline bh2win

  • Semi-Newbie
  • *
  • Posts: 13
Critical Error with Installation of 2.0.12
« on: December 05, 2016, 10:37:25 AM »
Hi everyone,

I followed a guide on youtube for how to install Simple Machines Forums on Server 2012, with IIS, MySQL 5.7 and PHP 5.2.10, I am currently receiving the critical error and done what I think needs to be done:

Critical Error!
The installer was unable to detect any database support in PHP. Please ask your host to ensure that PHP was compiled with the desired database, or that the proper extension is being loaded.

-I have added IUSR and IIS_IUSRS to the forum folder and given them FULL CONTROL.
-I have created a simple Database with MySQL. I also have an account that is set up as admin as well
-I go to http:/localhost/smf/install.php and get this error

Anyone got any ideas of what I could try to fix this? This is supposed to be an easy and straightforward process, any answers will be greatly appreciated.

*edit* added the correct version, 2.0.12

Offline Illori

  • Project Manager
  • SMF Legend
  • *
  • Posts: 51,306
Re: Critical Error with Installation of 2.0.12
« Reply #1 on: December 05, 2016, 11:17:17 AM »
are you sure your php install has mysql support?

Offline bh2win

  • Semi-Newbie
  • *
  • Posts: 13
Re: Critical Error with Installation of 2.0.12
« Reply #2 on: December 05, 2016, 11:33:41 AM »
For the sake of simplicity, no I did not check. I followed the guide of the video and did exactly what they did.

When I got to the step to go through the SMF configuration, the critical error did not disappear.

Do you recommend I try a higher version of PHP like 5.6?

P.S. This is all very new to me, I work in Networking and  Help Desk, not with web servers so I'm trying to learn. The whole point of this exercise is to play with SMF to see if it is something I really want to buy form a web host as a project.

Offline Illori

  • Project Manager
  • SMF Legend
  • *
  • Posts: 51,306
Re: Critical Error with Installation of 2.0.12
« Reply #3 on: December 05, 2016, 11:36:47 AM »
Then go the easy route and use wamp or xampp.

Offline bh2win

  • Semi-Newbie
  • *
  • Posts: 13
Re: Critical Error with Installation of 2.0.12
« Reply #4 on: December 05, 2016, 11:46:46 AM »
Thank you for the suggestion, WAMP or XAMPP are unknown to me. Are these going to be linux based? Or can they be run on Windows (Pro/Server)?

Do you have a thread here I could look at for more information?

Offline Illori

  • Project Manager
  • SMF Legend
  • *
  • Posts: 51,306
Re: Critical Error with Installation of 2.0.12
« Reply #5 on: December 05, 2016, 12:04:57 PM »
They are windows based. Check on Google best option in this case.

Offline vbgamer45

  • Customizer
  • SMF Super Hero
  • *
  • Posts: 21,563
    • smfhacks on Facebook
    • VBGAMER45 on GitHub
    • @createaforum on Twitter
    • SMF For Free
Re: Critical Error with Installation of 2.0.12
« Reply #6 on: December 05, 2016, 12:30:11 PM »
Go with PHP 5.6 for sure. 5.2 is extremely old.

You more than likely have to comment out in the php.ini
ext=php_mysql.dll

And make sure your extension directory is set correctly.
Community Suite for SMF - Take your forum to the next level built for SMF, Gallery,Store,Classifieds,Downloads,more!

SMFHacks.com -  Paid Modifications for SMF

Mods:
EzPortal - Portal System for SMF
SMF Gallery Pro
SMF Store SMF Classifieds Ad Seller Pro

Offline bh2win

  • Semi-Newbie
  • *
  • Posts: 13
Re: Critical Error with Installation of 2.0.12
« Reply #7 on: December 05, 2016, 01:03:41 PM »
This is the part I get a little more confused on, before I go to XAMPP/WAMP I want to see if I can get this working.

I uninstalled PHP 5.2.10, that was an EXE and unzipped the 5.6.28 and placed in C:\Program Files (x86)\PHP.

I get this error now though.

Offline vbgamer45

  • Customizer
  • SMF Super Hero
  • *
  • Posts: 21,563
    • smfhacks on Facebook
    • VBGAMER45 on GitHub
    • @createaforum on Twitter
    • SMF For Free
Re: Critical Error with Installation of 2.0.12
« Reply #8 on: December 05, 2016, 02:30:54 PM »
You need to update IIS to point hte location to the new version of php
Community Suite for SMF - Take your forum to the next level built for SMF, Gallery,Store,Classifieds,Downloads,more!

SMFHacks.com -  Paid Modifications for SMF

Mods:
EzPortal - Portal System for SMF
SMF Gallery Pro
SMF Store SMF Classifieds Ad Seller Pro

Offline lurkalot

  • Support Specialist
  • SMF Hero
  • *
  • Posts: 1,449
  • Gender: Male
  • Tinyportal Support
    • guitaristguild on Facebook
    • Tinyportal on GitHub
    • @GuitaristGuild on Twitter
    • Guitarist Guild
Re: Critical Error with Installation of 2.0.12
« Reply #9 on: December 05, 2016, 06:11:01 PM »
Thank you for the suggestion, WAMP or XAMPP are unknown to me. Are these going to be linux based? Or can they be run on Windows (Pro/Server)?

Do you have a thread here I could look at for more information?

I think there is a Linux version of XAMPP.   

Actually, and this was just me experimenting with various screen capture software, I did a very rough and by no means finished tutorial on this very subject. https://youtu.be/P2R9suhffbg

I apologise in advance for the rubbish tutorial. One day I might get around to making a proper one.  ;)

Offline bh2win

  • Semi-Newbie
  • *
  • Posts: 13
Re: Critical Error with Installation of 2.0.12
« Reply #10 on: December 05, 2016, 09:47:50 PM »
You have absolutely no idea how much I want to hug you, tie you up, put you in my closet and call you George...

Following this worked, FINALLY! I HAVE A FREAKING FORUM I CAN MESS AROUND WITH THAT IS LOCAL!!!!!!!

It's not a rubbish tutorial, it is THE TUTORIAL for Xampp! Thanks a ton!